package org.rominos2.SeasonsMobSpawn;

import java.util.ArrayList;

import org.bukkit.entity.CreatureType;
import org.rominos2.Seasons.api.SeasonObject;

public class SeasonMobList {
	private SeasonObject season;
	private ArrayList<CreatureType> mobs = new ArrayList<CreatureType>();
	
	public SeasonMobList(SeasonObject season) {
		this.season = season;
	}//SpawnSeason
	
	public void addMob(CreatureType mob) {
		this.mobs.add(mob);
	}//addMob
	
	public boolean isMobListed(CreatureType mob) {
		for (int i=0; i<this.mobs.size(); i++) {
			if (this.mobs.get(i).equals(mob)) {
				return true;
			}//if same mob
		}//for mobs
		return false;
	}//canMobSpawn
	
	public SeasonObject getSeason() {
		return this.season;
	}//getSeason

}//class SpawnSeason
